{
	"configurations" : 
	[
		{
			"directories" : 
			[
				{
					"build" : ".",
					"childIndexes" : 
					[
						1
					],
					"jsonFile" : "directory-.-d0094a50bb2071803777.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"projectIndex" : 0,
					"source" : ".",
					"targetIndexes" : 
					[
						14,
						15,
						16,
						18,
						19,
						20,
						21,
						27,
						28,
						29,
						30,
						31,
						34,
						35,
						36,
						37,
						38
					]
				},
				{
					"build" : "esp-idf",
					"childIndexes" : 
					[
						2,
						3,
						4,
						5,
						6,
						7,
						8,
						9,
						10,
						11,
						12,
						14,
						15,
						16,
						17,
						18,
						19,
						20,
						21
					],
					"jsonFile" : "directory-esp-idf-5bd24d74cc2e244d0c78.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 0,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf"
				},
				{
					"build" : "esp-idf/xtensa",
					"jsonFile" : "directory-esp-idf.xtensa-130d1990df0d277f51cf.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/xtensa",
					"targetIndexes" : 
					[
						13
					]
				},
				{
					"build" : "esp-idf/newlib",
					"jsonFile" : "directory-esp-idf.newlib-fdaa20e4f55a7bfbfb58.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/newlib"
				},
				{
					"build" : "esp-idf/soc",
					"jsonFile" : "directory-esp-idf.soc-d11cc6e4ff0a29840930.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/soc",
					"targetIndexes" : 
					[
						11
					]
				},
				{
					"build" : "esp-idf/micro-ecc",
					"jsonFile" : "directory-esp-idf.micro-ecc-b84f620316c40fe9b692.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "components/micro-ecc",
					"targetIndexes" : 
					[
						10
					]
				},
				{
					"build" : "esp-idf/hal",
					"jsonFile" : "directory-esp-idf.hal-0c14e46336e31effc1e4.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/hal",
					"targetIndexes" : 
					[
						7
					]
				},
				{
					"build" : "esp-idf/spi_flash",
					"jsonFile" : "directory-esp-idf.spi_flash-9f012f8b02fc05a1007e.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/spi_flash",
					"targetIndexes" : 
					[
						12
					]
				},
				{
					"build" : "esp-idf/esp_app_format",
					"jsonFile" : "directory-esp-idf.esp_app_format-bb06214b5edb3b97e195.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_app_format",
					"targetIndexes" : 
					[
						2
					]
				},
				{
					"build" : "esp-idf/bootloader_support",
					"jsonFile" : "directory-esp-idf.bootloader_support-5e4aebdce567894f822e.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/bootloader_support",
					"targetIndexes" : 
					[
						0
					]
				},
				{
					"build" : "esp-idf/efuse",
					"jsonFile" : "directory-esp-idf.efuse-07e14464e9e875eb8996.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/efuse",
					"targetIndexes" : 
					[
						1,
						22,
						23,
						24,
						25,
						26,
						32,
						33
					]
				},
				{
					"build" : "esp-idf/esp_system",
					"jsonFile" : "directory-esp-idf.esp_system-6b73e81736006609f13a.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_system",
					"targetIndexes" : 
					[
						6
					]
				},
				{
					"build" : "esp-idf/esp_hw_support",
					"childIndexes" : 
					[
						13
					],
					"jsonFile" : "directory-esp-idf.esp_hw_support-4d880422f795252e1aec.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_hw_support",
					"targetIndexes" : 
					[
						4
					]
				},
				{
					"build" : "esp-idf/esp_hw_support/port/esp32s2",
					"jsonFile" : "directory-esp-idf.esp_hw_support.port.esp32s2-30481887edc995f44cdb.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 12,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_hw_support/port/esp32s2"
				},
				{
					"build" : "esp-idf/esp_common",
					"jsonFile" : "directory-esp-idf.esp_common-c9efa42b72aeaa4cded6.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_common",
					"targetIndexes" : 
					[
						3
					]
				},
				{
					"build" : "esp-idf/esp_rom",
					"jsonFile" : "directory-esp-idf.esp_rom-7c96a79df00bfa191ea3.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_rom",
					"targetIndexes" : 
					[
						5
					]
				},
				{
					"build" : "esp-idf/log",
					"jsonFile" : "directory-esp-idf.log-3a408ea9b4e59319fcf3.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/log",
					"targetIndexes" : 
					[
						8
					]
				},
				{
					"build" : "esp-idf/esptool_py",
					"jsonFile" : "directory-esp-idf.esptool_py-7620615c607e0eb71f25.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esptool_py",
					"targetIndexes" : 
					[
						17
					]
				},
				{
					"build" : "esp-idf/partition_table",
					"jsonFile" : "directory-esp-idf.partition_table-7ff4bfef339484d6677a.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/partition_table"
				},
				{
					"build" : "esp-idf/bootloader",
					"jsonFile" : "directory-esp-idf.bootloader-aed39589a4f27a12a09b.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/bootloader"
				},
				{
					"build" : "esp-idf/freertos",
					"jsonFile" : "directory-esp-idf.freertos-e5f1736e30311868ae61.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/freertos"
				},
				{
					"build" : "esp-idf/main",
					"jsonFile" : "directory-esp-idf.main-5bff74fee2a922659b4e.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "main",
					"targetIndexes" : 
					[
						9
					]
				}
			],
			"name" : "",
			"projects" : 
			[
				{
					"childIndexes" : 
					[
						1
					],
					"directoryIndexes" : 
					[
						0
					],
					"name" : "bootloader",
					"targetIndexes" : 
					[
						14,
						15,
						16,
						18,
						19,
						20,
						21,
						27,
						28,
						29,
						30,
						31,
						34,
						35,
						36,
						37,
						38
					]
				},
				{
					"directoryIndexes" : 
					[
						1,
						2,
						3,
						4,
						5,
						6,
						7,
						8,
						9,
						10,
						11,
						12,
						13,
						14,
						15,
						16,
						17,
						18,
						19,
						20,
						21
					],
					"name" : "esp-idf",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						0,
						1,
						2,
						3,
						4,
						5,
						6,
						7,
						8,
						9,
						10,
						11,
						12,
						13,
						17,
						22,
						23,
						24,
						25,
						26,
						32,
						33
					]
				}
			],
			"targets" : 
			[
				{
					"directoryIndex" : 9,
					"id" : "__idf_bootloader_support::@d88583f91142925c6676",
					"jsonFile" : "target-__idf_bootloader_support-9b2d862916d6f635d85d.json",
					"name" : "__idf_bootloader_support",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 10,
					"id" : "__idf_efuse::@2da764c922f8b73e9c75",
					"jsonFile" : "target-__idf_efuse-113e8004da4637e5b127.json",
					"name" : "__idf_efuse",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 8,
					"id" : "__idf_esp_app_format::@08c2bdce7fd85cdbea06",
					"jsonFile" : "target-__idf_esp_app_format-3a01c75c3ca36b94c4e3.json",
					"name" : "__idf_esp_app_format",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 14,
					"id" : "__idf_esp_common::@5ba0aac035ae9b4e20a4",
					"jsonFile" : "target-__idf_esp_common-40cb79465382bfec21b5.json",
					"name" : "__idf_esp_common",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 12,
					"id" : "__idf_esp_hw_support::@ce4791f5a7554c569ddb",
					"jsonFile" : "target-__idf_esp_hw_support-9a73ead72a8636366968.json",
					"name" : "__idf_esp_hw_support",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 15,
					"id" : "__idf_esp_rom::@c269e361cd87ad81e927",
					"jsonFile" : "target-__idf_esp_rom-f7722584b7a9427d39b4.json",
					"name" : "__idf_esp_rom",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 11,
					"id" : "__idf_esp_system::@874df54e61e20112dfd4",
					"jsonFile" : "target-__idf_esp_system-bb81ee2283ba6a33501f.json",
					"name" : "__idf_esp_system",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 6,
					"id" : "__idf_hal::@41c1a00f56cd1e9ede18",
					"jsonFile" : "target-__idf_hal-c0aebd8bccf4ecf948a7.json",
					"name" : "__idf_hal",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 16,
					"id" : "__idf_log::@d5e1aa0ef4e3c98c8a70",
					"jsonFile" : "target-__idf_log-6a87c3d75859a9c07a7e.json",
					"name" : "__idf_log",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 21,
					"id" : "__idf_main::@7368607ed66887415643",
					"jsonFile" : "target-__idf_main-8736fe5d208872841064.json",
					"name" : "__idf_main",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 5,
					"id" : "__idf_micro-ecc::@37158dc68a69c79f835a",
					"jsonFile" : "target-__idf_micro-ecc-8066165b7e4ea5a2e750.json",
					"name" : "__idf_micro-ecc",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 4,
					"id" : "__idf_soc::@824f1541829f13857909",
					"jsonFile" : "target-__idf_soc-3dc970af6342999bc85c.json",
					"name" : "__idf_soc",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 7,
					"id" : "__idf_spi_flash::@6f8a8c72478269b2cd60",
					"jsonFile" : "target-__idf_spi_flash-5e35a47b71cd7fe74380.json",
					"name" : "__idf_spi_flash",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 2,
					"id" : "__idf_xtensa::@1daaaad7abe597e030f9",
					"jsonFile" : "target-__idf_xtensa-e60542c2627b9850fe14.json",
					"name" : "__idf_xtensa",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "_project_elf_src::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-_project_elf_src-ed2d8933481da0c5c070.json",
					"name" : "_project_elf_src",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "app::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-app-8c836fafe0318607359b.json",
					"name" : "app",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "bootloader.elf::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-bootloader.elf-8d81050ffc832a283f8b.json",
					"name" : "bootloader.elf",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 17,
					"id" : "bootloader_check_size::@bf8f55be585a12323665",
					"jsonFile" : "target-bootloader_check_size-317dbfc11e13807b74e7.json",
					"name" : "bootloader_check_size",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "confserver::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-confserver-0d9a29fb7a56a4fb3e4b.json",
					"name" : "confserver",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "dfu::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-dfu-8517335e42ee15b0afa8.json",
					"name" : "dfu",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "dfu-flash::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-dfu-flash-d0a1ccbe0462f455c04f.json",
					"name" : "dfu-flash",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "dfu-list::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-dfu-list-92b9497886ff22cd4039.json",
					"name" : "dfu-list",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 10,
					"id" : "efuse-common-table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-efuse-common-table-2cb923dac5ce4c3f09dc.json",
					"name" : "efuse-common-table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 10,
					"id" : "efuse-custom-table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-efuse-custom-table-fb66ec78b4a0b66e6245.json",
					"name" : "efuse-custom-table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 10,
					"id" : "efuse_common_table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-efuse_common_table-d64d942077be4ffd8990.json",
					"name" : "efuse_common_table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 10,
					"id" : "efuse_custom_table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-efuse_custom_table-02484a46b4928ebbcc81.json",
					"name" : "efuse_custom_table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 10,
					"id" : "efuse_test_table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-efuse_test_table-8398df15cc25bd66d9c6.json",
					"name" : "efuse_test_table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "erase_flash::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-erase_flash-55ee7bd811c33e869d41.json",
					"name" : "erase_flash",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "gen_project_binary::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-gen_project_binary-390bf03e5dfccba25133.json",
					"name" : "gen_project_binary",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "menuconfig::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-menuconfig-ec0c0d0ba2e9f2d590dd.json",
					"name" : "menuconfig",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "monitor::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-monitor-67c59433e2a42139b52f.json",
					"name" : "monitor",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "save-defconfig::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-save-defconfig-f99df95c3016408914ba.json",
					"name" : "save-defconfig",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 10,
					"id" : "show-efuse-table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-show-efuse-table-c794cd25e1e74faf9023.json",
					"name" : "show-efuse-table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 10,
					"id" : "show_efuse_table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-show_efuse_table-eb0cdb551fb8107adf6f.json",
					"name" : "show_efuse_table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "size::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-size-080d277d5fd9df4fbfa7.json",
					"name" : "size",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "size-components::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-size-components-0cfa75478255f7f1e8be.json",
					"name" : "size-components",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "size-files::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-size-files-a555b03a55c6de881902.json",
					"name" : "size-files",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "uf2::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-uf2-1d0cb5672f02c1f703d9.json",
					"name" : "uf2",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "uf2-app::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-uf2-app-c65f848c22174c7c467e.json",
					"name" : "uf2-app",
					"projectIndex" : 0
				}
			]
		}
	],
	"kind" : "codemodel",
	"paths" : 
	{
		"build" : "C:/Git/waterius-esp32s2/ESP32S2/.pio/build/esp32s2/bootloader",
		"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/bootloader/subproject"
	},
	"version" : 
	{
		"major" : 2,
		"minor" : 3
	}
}
